use clap::{arg, command};

pub fn get_args() -> clap::ArgMatches {
    command!()
        .about("snapshot utility")
        .subcommand(
            command!("ls")
                .about("List all snapshots")
                .arg(
                    arg!(-d --depth <DEPTH> "How deep to search for cephfs snapshots")
                        .default_value("5"),
                )
                .arg(
                    arg!(<START_DIR> "Starting directory to search")
                        .default_value(".")
                        .required(false),
                ),
        )
        .subcommand(
            command!("create")
                .about("Create a snapshot")
                .arg(arg!(-n --name <NAME> "The name of the snapshot"))
                .arg(
                    arg!(<DIR> "The directory to snapshot")
                        .default_value(".")
                        .required(false),
                ),
        )
        .subcommand(
            command!("remove")
                .about("Remove a snapshot")
                .arg(arg!(<NAME> "The name of the snapshot").required(true))
                .arg(
                    arg!(<DIR> "The directory containing the snapshot")
                        .default_value(".")
                        .required(false),
                ),
        )
        .get_matches()
}
